--AH:ScriptId=D8C852EB-0CC0-46B0-8FCE-4ED9079B947C

DELETE PGPV
  FROM [ProGetPackageVersions] PGPV
       INNER JOIN (SELECT [ProGetPackage_Id],
                          [Version_Text],
	                      [Rank] = ROW_NUMBER() OVER(PARTITION BY [ProGetPackage_Id], CASE WHEN CHARINDEX('+', [Version_Text]) = 0 THEN [Version_Text] ELSE SUBSTRING([Version_Text], 1, CHARINDEX('+', [Version_Text]) - 1) END ORDER BY [Published_Date] DESC)
                     FROM [ProGetPackageVersions]) PGPV_DUP
			   ON PGPV_DUP.[ProGetPackage_Id] = PGPV.[ProGetPackage_Id]
			  AND PGPV_DUP.[Version_Text] = PGPV.[Version_Text]
 WHERE [PGPV_DUP].[Rank] > 1

INSERT INTO [ProGetPackageVersions]
(
	[ProGetPackage_Id],
	[Version_Text],
	[PackageHash_Bytes],
	[PackageMetadata_Bytes],
	[Published_Date],
	[Package_Size],
	[Download_Count],
	[Cached_Indicator],
	[Virtual_Indicator]
)
SELECT [ProGetPackage_Id],
       [Version_Text] = SUBSTRING([Version_Text], 1, CHARINDEX('+', [Version_Text]) - 1),
	   [PackageHash_Bytes],
	   [PackageMetadata_Bytes],
	   [Published_Date],
	   [Package_Size],
	   [Download_Count],
	   [Cached_Indicator],
	   [Virtual_Indicator]
  FROM [ProGetPackageVersions]
 WHERE CHARINDEX('+', [Version_Text]) > 0

DELETE [ProGetPackageVersions]
 WHERE CHARINDEX('+', [Version_Text]) > 0
